''' <summary>
''' Basisklasse zum Speichern von Inhalten einer MP3-Datei mit einem Fortschritts-Formular
''' </summary>
Public MustInherit Class MP3FileSaver

#Region " Fields / Events "

    ''' <summary>
    ''' Sequenzliste mit MP3-Abschnitten und Pfad zur Original-MP3-Datei
    ''' </summary>
    Private m_File As MP3File

    ''' <summary>
    ''' Pfad, unter dem gespeichert werden soll
    ''' </summary>
    Private m_Path As String

    ''' <summary>
    ''' Referenz zur Fortschrittsanzeige-Form
    ''' </summary>
    Private m_ProgressForm As frm_Progress

#End Region

#Region " Constructor "

    ''' <summary>
    ''' Konstruktor
    ''' </summary>
    ''' <param name="File">MP3-Datei</param>
    ''' <param name="Path">Pfad, unter dem gespeichert werden soll</param>
    ''' <param name="ProgressForm">Referenz zur Fortschrittsanzeige-Form</param>
    Public Sub New(ByVal File As MP3File, ByVal Path As String, ByVal ProgressForm As frm_Progress)
        m_File = File
        m_Path = Path
        m_ProgressForm = ProgressForm
    End Sub

#End Region

#Region " Properties "

    ''' <summary>
    ''' MP3-Datei
    ''' </summary>
    ReadOnly Property File() As MP3File
        Get
            Return m_File
        End Get
    End Property

    ''' <summary>
    ''' Pfad, unter dem gespeichert werden soll
    ''' </summary>
    ReadOnly Property Path() As String
        Get
            Return m_Path
        End Get
    End Property

    ''' <summary>
    ''' Referenz zur Fortschrittsanzeige-Form
    ''' </summary>
    ReadOnly Property ProgressForm() As frm_Progress
        Get
            Return m_ProgressForm
        End Get
    End Property

#End Region

#Region " Methods "

    ''' <summary>
    ''' fhrt die Aktion zum Schreiben der MP3-Datei aus
    ''' </summary>
    MustOverride Sub Execute()

#End Region

End Class
