''' <summary>
''' Gemeinsam genutzte Methoden
''' </summary>
Public Class SharedFunctions

    ''' <summary>
    ''' liefert den Teil eines Textes, der mit einer angegebenen Start-Zeichenfolge beginnt
    ''' und einer angegebenen End-Zeichenfolge endet
    ''' </summary>
    ''' <param name="Text">Ausgangstext</param>
    ''' <param name="StartDelimiter">Start-Zeichenfolge</param>
    ''' <param name="EndDelimiter">End-Zeichenfolge</param>
    Public Shared Function GetSubString(ByVal Text As String, ByVal StartDelimiter As String, ByVal EndDelimiter As String) As String
        Dim StartIndex As Integer = Text.IndexOf(StartDelimiter)
        If StartDelimiter.Length = 0 Then
            StartIndex = 0
        End If

        If StartIndex > -1 Then
            Dim EndIndex As Integer = Text.IndexOf(EndDelimiter, StartIndex)
            If EndDelimiter.Length = 0 Then
                EndIndex = Text.Length
            End If
            If EndIndex > -1 Then
                Return Text.Substring(StartIndex + StartDelimiter.Length, EndIndex - StartIndex - StartDelimiter.Length)
            Else
                Return ""
            End If
        Else
            Return ""
        End If
    End Function

    ''' <summary>
    ''' liefert einen String fr ein TimeSpan-Intervall im Format "mm:ss"
    ''' </summary>
    ''' <param name="Interval">TimeSpan</param>
    Public Shared Function TimeSpanStringSeconds(ByVal Interval As TimeSpan) As String
        Dim seconds As Integer = Interval.TotalSeconds
        Dim Minutes As Integer = seconds \ 60
        Dim RestSecs As Integer = seconds - Minutes * 60
        Return Minutes.ToString.PadLeft(2, "0") & ":" & RestSecs.ToString.PadLeft(2, "0")
    End Function

    ''' <summary>
    ''' liefert einen String fr ein TimeSpan-Intervall im Format "hh:mm"
    ''' </summary>
    ''' <param name="Interval">TimeSpan</param>
    Public Shared Function TimeSpanStringMinutes(ByVal Interval As TimeSpan) As String
        Dim Minutes As Integer = Interval.TotalMinutes
        Dim Hours As Integer = Minutes \ 60
        Dim RestMinutes As Integer = Minutes - Hours * 60
        Return Hours.ToString.PadLeft(2, "0") & ":" & RestMinutes.ToString.PadLeft(2, "0")
    End Function


End Class
