''' <summary>
''' UserControl zum Bearbeiten einer einmaligen Rekorder-Aufgabe
''' </summary>
Public Class CtlSingleRecorderTask

#Region " Fields / Events "

    ' Referenz zu einmaliger Rekorder-Aufgabe
    Private WithEvents m_Task As RecordingTaskSingle

#End Region

#Region " Constructor "

    Public Sub New(ByVal Task As RecordingTaskSingle)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        m_Task = Task
        Me.Label2.Text = My.LanguageInfo.TextEnd
        ReadTime()
    End Sub

#End Region

#Region " Methods "

    ''' <summary>
    ''' zeigt die Eigenschaften der referenzierten Rekorder-Aufgabe im Control an
    ''' </summary>
    Private Sub ReadTime()
        Me.DateTimeControl1.Time = m_Task.StartTime
        Me.DateTimeControl2.Time = m_Task.EndTime
    End Sub

    ''' <summary>
    ''' Handler fr das Changed-Event der Rekorder-Aufgabe
    ''' </summary>
    Private Sub m_Task_Changed() Handles m_Task.Changed
        If Me.DateTimeControl1.Time <> m_Task.StartTime Then
            Me.DateTimeControl1.Time = m_Task.StartTime
        End If
        If Me.DateTimeControl2.Time <> m_Task.EndTime Then
            Me.DateTimeControl2.Time = m_Task.EndTime
        End If
    End Sub

    ''' <summary>
    ''' Handler fr das Changed-Event von DateTimeControl1
    ''' </summary>
    Private Sub DateTimeControl1_Changed() Handles DateTimeControl1.Changed
        m_Task.StartTime = DateTimeControl1.Time
    End Sub
    ''' <summary>
    ''' Handler fr das Changed-Event von DateTimeControl2
    ''' </summary>
    Private Sub DateTimeControl2_Changed() Handles DateTimeControl2.Changed
        m_Task.EndTime = DateTimeControl2.Time
    End Sub

#End Region

End Class
