Public Class frm_Progress
    Private m_CancelButtonPushed As Boolean = False

    Private Delegate Sub RefreshTextDelegate(ByVal Text As String)
    Private m_RefreshTextDelegate As RefreshTextDelegate

    Private Delegate Sub RefreshIntDelegate(ByVal Value As Integer)
    Private m_RefreshProgressDelegate As RefreshIntDelegate

    Private m_RefreshMaxProgressDelegate As RefreshIntDelegate

    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        m_RefreshTextDelegate = New RefreshTextDelegate(AddressOf Me.RefreshText)
        m_RefreshProgressDelegate = New RefreshIntDelegate(AddressOf Me.RefreshProgress)
        m_RefreshMaxProgressDelegate = New RefreshIntDelegate(AddressOf Me.RefreshMaxProgress)

        Me.Text = My.LanguageInfo.TextProgress
        Me.Label1.Text = My.LanguageInfo.TextPleaseWait
        Me.ButtonCancel.Text = My.LanguageInfo.TextCancel
    End Sub


    ReadOnly Property CancelButtonPushed() As Boolean
        Get
            Return m_CancelButtonPushed
        End Get
    End Property

    Public Sub RefreshText(ByVal message As String)
        If Me.InvokeRequired Then
            Me.Invoke(m_RefreshTextDelegate, New Object() {message})
            Exit Sub
        End If

        Me.LabelMessage.Text = message
    End Sub
    Public Sub RefreshProgress(ByVal progress As Integer)
        If Me.InvokeRequired Then
            Me.Invoke(m_RefreshProgressDelegate, New Object() {progress})
            Exit Sub
        End If

        Me.ProgressBar1.Value = progress
    End Sub
    Public Sub RefreshMaxProgress(ByVal Max As Integer)
        If Me.InvokeRequired Then
            Me.Invoke(m_RefreshMaxProgressDelegate, New Object() {Max})
            Exit Sub
        End If

        Me.ProgressBar1.Maximum = Max
    End Sub


    Private Sub ButtonCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonCancel.Click
        m_CancelButtonPushed = True
    End Sub

End Class